### BamToBfq

USAGE: BamToBfq [options]

Create BFQ files for use by the Maq aligner.

Option | Description
--- | ---
INPUT=File | The BAM file to parse. Required.
ANALYSIS_DIR=File | The analysis directory for the binary output file. Required.
FLOWCELL_BARCODE=String | Flowcell barcode (e.g. 30PYMAAXX). Required.
LANE=Integer | Lane number. Default value: null.
READS_TO_ALIGN=Integer | Number of reads to align (null = all). Default value: null.
READ_CHUNK_SIZE=Integer | Number of reads to break into individual groups for alignment Default value: 2000000. This option can be set to 'null' to clear the default value.
PAIRED_RUN=Boolean | Whether this is a paired-end run. Required. Possible values: {true, false}
RUN_BARCODE=String | Deprecated option; use READ_NAME_PREFIX instead Default value: null. Cannot be used in conjuction with option(s) READ_NAME_PREFIX
READ_NAME_PREFIX=String | Prefix to be stripped off the beginning of all read names (to make them short enough to run in Maq) Default value: null.
INCLUDE_NON_PF_READS=Boolean | Whether to include non-PF reads Default value: false. This option can be set to 'null' to clear the default value. Possible values: {true, false}
CLIP_ADAPTERS=Boolean | Whether to clip adapters from the reads Default value: true. This option can be set to 'null' to clear the default value. Possible values: {true, false}
BASES_TO_WRITE=Integer | The number of bases from each read to write to the bfq file. If this is non-null, then only the first BASES_TO_WRITE bases from each read will be written. Default value: null.